Bug 127086 - some games segfault often, but not always
Summary: some games segfault often, but not always
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: tuxracer   
(Show other bugs)
Version: 2
Hardware: ia32e
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Ngo Than
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-07-01 19:24 UTC by Thomas Könning
Modified: 2007-11-30 22:10 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-11-02 11:19:39 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Thomas Könning 2004-07-01 19:24:30 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7)
Gecko/20040615 Firefox/0.9

Description of problem:
I run Fedora core 2 with an NVidia GForce 4 graphics card.
I tested the following games first with the nvidia 1.0-6106 driver,
than with the standard nv driver (if possible). With both drivers the
games soometimes work, but often ( in more than 50%) i get the message:

Fatal signal: Segmentation Fault (SDL Parachute Deployed)

The games i tested were:

tuxracer (not possible with nv-driver)
frozen-bubble
freedroidRPG
supertux

I did all updates i could get, so i should use the actual versions for
example of SDL.

Version-Release number of selected component (if applicable):
0.61

How reproducible:
Sometimes

Steps to Reproduce:
1.just start the game
2.
3.
    

Actual Results:  As mentioned above, sometimes it works, but often i
get a segfault

Expected Results:  Should work every start.

Additional info:

it happens one time with the special nvidia-driver, that fedora
rebooted without any action on my side.

Comment 1 Matthew Miller 2005-04-26 16:03:06 UTC
Fedora Core 2 is now maintained by the Fedora Legacy project for
security updates only. If this problem is a security issue, please
reopen and reassign to the Fedora Legacy product. If it is not a
security issue and hasn't been resolved in the current FC3 updates or
in the FC4 test release, reopen and change the version to match.

Comment 2 Marius Andreiana 2005-11-02 11:19:39 UTC
Tuxracer has been removed from Fedora Core. Please try ppracer in Extras


Note You need to log in before you can comment on or make changes to this bug.